/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: carol@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: ServerExampleProperty.java 2439 2010-02-24 16:21:19Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.base.server;

/**
 * @author eyindanga
 *
 */
public enum ServerExampleProperty {


	/**
	 * Configuration directory for single server test.
	 */
	SINGLE_SERVER_CONFIG_DIRECTORY_KEY("single.server.config.directory"),

	/**
	 * Setter Method
	 */

	SETTER_METHOD_PROPERTIES_KEY("cmi.setter.methodProperties"),
	/**
	 * Setter method MBean
	 */

	SETTER_METHOD_MBEAN_KEY("cmi.setter.methodMBean"),

	/**
	 * Setter class property name (specifies the protocol class used to set the properties in this protocol).
	 */
	SETTER_CLASS_KEY("cmi.setter.class"),

	/**
	 * Default domain.
	 */

	DEFAULT_DOMAIN("CMI"),


	/**
	 * Default domain.
	 */

	DEFAULT_SERVER("CMI"),


	/**
	 * Configuration directory for single server test.
	 */
	DAFAULT_SINGLE_SERVER_CONFIG_DIRECTORY("conf"),

	/**
	 * Default CMI Config.
	 */

	DEFAULT_CONF_FILE_URL("cmi-server-config.xml"),
	/**
	 * Default JGroups stack
	 */

	DEFAULT_CMI_JGROUPS_STACK("jgroups-cmi.xml"),

	/**
	 * key for RMI_PORT
	 */
	RMI_PORT_KEY("rmi.port"),

	/**
	 * key for The configuration file name.
	 */
	CONF_FILE_URL_KEY("cmi.server.conf.file"),

	/**
	 * key for The configuration file name.
	 */
	CONF_DIR_KEY("cmi.conf.dir"),
	/**
	 *Time to wait before Stopping the iiop registry, whatever happens.
	 */
	KILL_TIMEOUT_KEY("bootstrap.kill.timeout"),

	/**
	 * Name of the configuration argument.
	 */
	KILL_TIMEOUT_DEFAULT("120000"),

	/**
	 * Default registry port.
	 */
	DEFAULT_RMI_PORT("10097");

	/**
	 * The property.
	 */
	private final String propertyName;

	/**
	 *
	 * @param propertyName.
	 */
	private ServerExampleProperty(final String propertyName) {
		this.propertyName = propertyName;
	}

	/**
	 * @return the propertyName.
	 */
	public String getPropertyName() {
		return propertyName;
	}

}
